
QGIS Application - Bug report #2343

Incorrect number of records to delete from the table is determined when all the records are selected

2010-01-03 10:28 PM - Maxim Dubinin

Status: Closed

Priority: Low

Assignee: nobody -

Category: Digitising

Affected QGIS version: Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: worksforme

Crashes QGIS or corrupts data: Copied to github as #: 12403

Description

1. Fresh project

2. Add layer (attached)

3. Open table

4. Press start editing

5. Select all 4 records with the mouse (not by pressing invert selection)

6. Hit delete button

QGIS tries to emove 0 records?

History

#1 - 2010-01-03 10:50 PM - Maxim Dubinin

I'm using 

Also, by selection by mouse I mean - select first record by leftclicking and move mouse down to the end. Strange, I select clicking one after another with

Ctrl pressed - number of records is determined correctly.

#2 - 2010-01-04 01:10 AM - Giovanni Manghi

I'm not able to reproduce it with qgis trunk under both linux and windows xp.

#3 - 2010-01-04 08:28 AM - Maxim Dubinin

- Resolution set to worksforme

- Status changed from Open to Closed

strange, now it's gone ...

Files

test.7z 3.94 KB 2010-01-03 Maxim Dubinin
